Package org.gradle.api.file

## Enum FileCollection.AntType

- java.lang.Object
- - java.lang.Enum<FileCollection.AntType>
  - - org.gradle.api.file.FileCollection.AntType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FileCollection.AntType>`
  Enclosing interface:
    FileCollection

      public static enum FileCollection.AntType
      extends Enum<FileCollection.AntType>

  Ant types which a `FileCollection` can be mapped to.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FileSet` |
    `MatchingTask` |
    `ResourceCollection` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FileCollection.AntType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FileCollection.AntType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MatchingTask

          public static final FileCollection.AntType MatchingTask

    - #### FileSet

          public static final FileCollection.AntType FileSet

    - #### ResourceCollection

          public static final FileCollection.AntType ResourceCollection

  - ### Method Detail

    - #### values

          public static FileCollection.AntType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileCollection.AntType c : FileCollection.AntType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileCollection.AntType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null